{% extends "base.html" %} {% load static %} {% block css %}
<link rel="stylesheet" href="{% static 'css/plugins/bootstrap-tagsinput.css' %}">
<link href="{% static 'font-awesome/css/font-awesome.css' %}" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="{% static 'css/select2.min.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/select2-bootstrap.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/pmd-select2.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/textfield.css' %}">
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css" rel="stylesheet" /> {% endblock css %} {% block title %}

<h1>Agregar Rúbrica Abet</h1>
<ol class="breadcrumb">
    <li>
        <a>
            Evaluación
        </a>
    </li>
    <li class="active">Agregar Rúbrica Abet</li>
</ol>
{% endblock title %} {% block content %}
<div>
    <div id="content" class="container-fluid row">
        <div class="col-sm-12 col-md-12">
            <div class="card">
                <header class="card-heading card-blue">
                    <div class="row">
                        <div class="col-sm-7">
                            <h2 class="card-title" id="titulo_rubrica">Rúbrica: {{rubric.name}}</h2>
                        </div>
                    </div>
                </header>
                <div class="card-body">
                    <div class="row" id="form_create">
                        <div class="col-sm-2 col-md-2">
                            <label for="id_rubric_subject" class="control-label">Asignatura:</label>
                            <h3 id="id_rubric_subject">{{rubric.subject}}</h3>
                        </div>
                        <div class="col-sm-6 col-md-6 ">
                            <label for="id_rubric_carreer" class="control-label">Carrera:</label>
                            <h3 id="id_rubric_carreer">{{carreer}}
                            </h3>
                        </div>
                        <div class="col-sm-4 col-md-4 ">
                            <label for="id_rubric_date" class="control-label">Ultima Edición:</label>
                            <h3 id="id_rubric_date"> {{rubric.date}}
                            </h3>
                        </div>
                        <div class="col-sm-2 col-md-2 ">
                            <div class="form-group label-floating ">
                                <label for="nota_inci" class="control-label">Nota Incipiente:</label>
                                <h3>{{rubric.nota_inci}}</h3>
                            </div>
                        </div>
                        <div class="col-sm-2 col-md-2 ">
                            <div class="form-group label-floating ">
                                <label for="nota_enpr" class="control-label">Nota En Proceso:</label>
                                <h3>{{rubric.nota_enpr}}</h3>
                            </div>
                        </div>
                        <div class="col-sm-2 col-md-2 ">
                            <div class="form-group label-floating ">
                                <label for="nota_suf" class="control-label">Nota Esperado:</label>
                                <h3>{{rubric.nota_suf}}</h3>
                            </div>
                        </div>
                    </div>
                    <div class="row outcomes animated fadeInRight">
                        <div class="col-md-8 col-sm-8">
                            <label for="outcome" class="control-label">Outcomes:</label>
                            <select name='outcome' id="outcome" class="form-control select-with-search pmd-select2 pmd-select2-tags pmd-textfield-floating-label pmd-textfield form-control"
                            multiple="multiple" data-rule-required="true" placeholder="Elija los outcomes a evaluar...">
                            {% for outcome in outcomes %}
                                <option value="{{outcome.pk}}">{{outcome.letter}}. {{outcome.description|truncatechars:150}}...</option>' % (
                            {% endfor %}
                            </select>
                        </div>
                        <div class="col-md-4 col-sm-4" id="button_outcome">
                            <button type="button" id="add_outcome" class="btn btn-block btn-primary" data-rubricpk="{{rubric.pk}}" style="margin-top: 22px">Incluir Outcome</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
<div class="col-sm-12 col-md-12" style="z-index:-1">
    <div class="card outcomes" style="display:none">
        <header class="card-heading card-blue text-center">
            <h2 class="card-title">Outcomes a evaluar:</h2>
        </header>
    </div>
</div>
<div class="col-sm-12 col-md-12">
    <div id="outcome_content" class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
        {% for outcome in rubric.outcomes.all %}
        <div class="panel panel-default animated fadeInRight">
            <div class="panel-heading" role="tab" id="heading{{outcome.pk}}">
                <h4 class="panel-title">
                    <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse{{outcome.pk}}" aria-expanded="true" aria-controls="collapse{{outcome.pk}}">
                        {{outcome.letter}}. {{outcome.description|truncatechars:60}}
                    </a>
                </h4>
            </div>
            <div id="collapse{{outcome.pk}}" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="heading{{outcome.pk}}">
                <div class="panel-body">
                    <div class="row">
                        <div class="col-sm-12 col-md-12">
                            <button class="btn btn-block btn-danger remove_outcome" data-outcomepk="{{outcome.pk}}"> Eliminar Outcome</button>
                        </div>
                    </div>
                    <table class="table table-striped table-bordered">
                        <thead>
                            <tr>
                                <th class="col-md-4" style="text-align:center;">Descripcion Criterio</th>
                                <th class="col-md-2" style="text-align:center;">Suficiente</th>
                                <th class="col-md-2" style="text-align:center;">En Proceso</th>
                                <th class="col-md-2" style="text-align:center;">Inscipiente</th>
                            </tr>
                        </thead>
                        <tbody style="vertical-align:middle" id="content_table_criteria_{{outcome.pk}}">
                            {% for criteria in outcome.criteria_set.all %}
                            <tr id="row_criteria_{{criteria.pk}}">
                                <td>{{criteria.description}}</td>
                                <td>{{criteria.criteria_info.suficient}}</td>
                                <td>{{criteria.criteria_info.inprocess}}</td>
                                <td>{{criteria.criteria_info.inscipient}}</td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
</div>
<div class="row outcomes col-sm-12 col-md-12">
    <div class="col-md-4 pull-right">
        <a id="save" href="{% url 'abet_rubric_list' %}" type="button" style="margin-top: 24px" class="btn btn-block btn-primary">
            Volver
            <i class="fa fa-check" style="color:white"></i>
        </a>
    </div>
</div>
{% endblock content %} {% block javascript %}

<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js"></script>
<script src="{% static 'js/global.js' %}"></script>
<script src="{% static 'js/pmd-select2.js' %}"></script>
<script src="{% static 'js/select2.full.js' %}"></script>
<script src="{% static 'js/textfield.js' %}"></script>
<script src="{% static 'js/plugins/bootstrap-tagsinput/bootstrap-tagsinput.js' %}"></script>
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script src='https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/jquery.validate.js'></script>
<script>
    $(document).on("click", ".remove_outcome", function (e) {
        console.log(e.trigger)
        var outcome_pk = $(this).data('outcomepk');
        var rubric_pk = $("#add_outcome").data('rubricpk')
        var button = $(this);
        data = {
            outcome_pk: outcome_pk,
            rubric_pk: rubric_pk,
            carreer_pk: carreer_pk,
            csrfmiddlewaretoken: '{{ csrf_token }}',
        };

        $.ajax({
            type: "post",
            dataType: "json",
            url: "{% url 'rubric_outcome_remove' %}",
            data: data,

            beforeSend: function (data) {
                console.log(data);
            },
            success: function (data) {
                $("#outcome").html(data.outcomes_opt);
                button.parent().parent().parent().remove();
            },
        });
    });

    $(document).ready(function () {
        $(".select-with-search").select2({
            theme: "bootstrap",
            width: "100%",
        });

        carreer_pk = "{{rubric.pk}}";
        var data = {

            pk: carreer_pk,
            csrfmiddlewaretoken: '{{ csrf_token }}'

        };
        $.ajax({
            type: "post",
            dataType: "json",
            url: "{% url 'get_carreer_subjects' %}",
            data: data,

            success: function (data) {
                $("#subject").html(data.subjects)
            },

        });


        $("#add_outcome").click(function () {
            $("#save").html("Guardar");
            var outcome_pks = $("#outcome").val();
            var rubric_pk = $(this).data('rubricpk')
            data = {
                rubric_pk: rubric_pk,
                "keys[]": outcome_pks,
                carreer_pk: carreer_pk,
                csrfmiddlewaretoken: '{{ csrf_token }}',
            };
            $.ajax({
                type: "post",
                dataType: "json",
                url: "{% url 'abet_rubric_add_outcomes' %}",
                data: data,

                success: function (data) {
                    $("#outcome_content").append(data.outcomes);
                    $("#outcome").val("");
                    $(".select-with-search").select2({
                        theme: "bootstrap",
                        width: "100%",
                    });
                    $("#outcome").html(data.outcomes_opt);
                },
            });
        });

    });

</script> {% endblock javascript %}